Hex Artifact Content

Artifact 68f05d7b91d3e897650f7bac9da29612276711bd:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 5a  2...exit 1.fi..Z
00f0: 4c 49 42 56 45 52 53 3d 22 31 2e 32 2e 38 22 0a  LIBVERS="1.2.8".
0100: 53 52 43 3d 22 73 72 63 2f 7a 6c 69 62 2d 24 7b  SRC="src/zlib-${
0110: 5a 4c 49 42 56 45 52 53 7d 2e 74 61 72 2e 67 7a  ZLIBVERS}.tar.gz
0120: 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f  ".SRCURL="http:/
0130: 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e 6e 65 74  /sourceforge.net
0140: 2f 70 72 6f 6a 65 63 74 73 2f 6c 69 62 70 6e 67  /projects/libpng
0150: 2f 66 69 6c 65 73 2f 7a 6c 69 62 2f 24 7b 5a 4c  /files/zlib/${ZL
0160: 49 42 56 45 52 53 7d 2f 7a 6c 69 62 2d 24 7b 5a  IBVERS}/zlib-${Z
0170: 4c 49 42 56 45 52 53 7d 2e 74 61 72 2e 67 7a 2f  LIBVERS}.tar.gz/
0180: 64 6f 77 6e 6c 6f 61 64 22 0a 42 55 49 4c 44 44  download".BUILDD
0190: 49 52 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64  IR="$(pwd)/build
01a0: 2f 7a 6c 69 62 2d 24 7b 5a 4c 49 42 56 45 52 53  /zlib-${ZLIBVERS
01b0: 7d 22 0a 4f 55 54 44 49 52 3d 22 24 28 70 77 64  }".OUTDIR="$(pwd
01c0: 29 2f 6f 75 74 22 0a 49 4e 53 54 44 49 52 3d 22  )/out".INSTDIR="
01d0: 24 28 70 77 64 29 2f 69 6e 73 74 22 0a 65 78 70  $(pwd)/inst".exp
01e0: 6f 72 74 20 5a 4c 49 42 56 45 52 53 20 53 52 43  ort ZLIBVERS SRC
01f0: 20 53 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52   SRCURL BUILDDIR
0200: 20 4f 55 54 44 49 52 20 49 4e 53 54 44 49 52 0a   OUTDIR INSTDIR.
0210: 0a 23 20 53 65 74 20 63 6f 6e 66 69 67 75 72 65  .# Set configure
0220: 20 6f 70 74 69 6f 6e 73 20 66 6f 72 20 74 68 69   options for thi
0230: 73 20 73 75 62 2d 70 72 6f 6a 65 63 74 0a 4c 44  s sub-project.LD
0240: 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 5a 4c 49 42  FLAGS="${KC_ZLIB
0250: 5f 4c 44 46 4c 41 47 53 7d 22 0a 43 46 4c 41 47  _LDFLAGS}".CFLAG
0260: 53 3d 22 24 7b 4b 43 5f 5a 4c 49 42 5f 43 46 4c  S="${KC_ZLIB_CFL
0270: 41 47 53 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22  AGS}".CPPFLAGS="
0280: 24 7b 4b 43 5f 5a 4c 49 42 5f 43 50 50 46 4c 41  ${KC_ZLIB_CPPFLA
0290: 47 53 7d 22 0a 4c 49 42 53 3d 22 24 7b 4b 43 5f  GS}".LIBS="${KC_
02a0: 5a 4c 49 42 5f 4c 49 42 53 7d 22 0a 65 78 70 6f  ZLIB_LIBS}".expo
02b0: 72 74 20 4c 44 46 4c 41 47 53 20 43 46 4c 41 47  rt LDFLAGS CFLAG
02c0: 53 20 43 50 50 46 4c 41 47 53 20 4c 49 42 53 0a  S CPPFLAGS LIBS.
02d0: 0a 72 6d 20 2d 72 66 20 27 62 75 69 6c 64 27 20  .rm -rf 'build' 
02e0: 27 6f 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64  'out' 'inst'.mkd
02f0: 69 72 20 27 62 75 69 6c 64 27 20 27 6f 75 74 27  ir 'build' 'out'
0300: 20 27 69 6e 73 74 27 20 7c 7c 20 65 78 69 74 20   'inst' || exit 
0310: 31 0a 0a 69 66 20 5b 20 21 20 2d 66 20 22 24 7b  1..if [ ! -f "${
0320: 53 52 43 7d 22 20 5d 3b 20 74 68 65 6e 0a 09 6d  SRC}" ]; then..m
0330: 6b 64 69 72 20 27 73 72 63 27 20 3e 2f 64 65 76  kdir 'src' >/dev
0340: 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c  /null 2>/dev/nul
0350: 6c 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20 27 62  l...if [ ! -d 'b
0360: 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65 6e  uildsrc' ]; then
0370: 0a 09 09 72 6d 20 2d 66 20 22 24 7b 53 52 43 7d  ...rm -f "${SRC}
0380: 2e 74 6d 70 22 0a 09 09 77 67 65 74 20 2d 4f 20  .tmp"...wget -O 
0390: 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22 24 7b  "${SRC}.tmp" "${
03a0: 53 52 43 55 52 4c 7d 22 20 7c 7c 20 65 78 69 74  SRCURL}" || exit
03b0: 20 31 0a 09 09 6d 76 20 22 24 7b 53 52 43 7d 2e   1...mv "${SRC}.
03c0: 74 6d 70 22 20 22 24 7b 53 52 43 7d 22 0a 09 66  tmp" "${SRC}"..f
03d0: 69 0a 66 69 0a 0a 28 0a 09 63 64 20 27 62 75 69  i.fi..(..cd 'bui
03e0: 6c 64 27 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09  ld' || exit 1...
03f0: 69 66 20 5b 20 21 20 2d 64 20 27 2e 2e 2f 62 75  if [ ! -d '../bu
0400: 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65 6e 0a  ildsrc' ]; then.
0410: 09 09 67 7a 69 70 20 2d 64 63 20 22 2e 2e 2f 24  ..gzip -dc "../$
0420: 7b 53 52 43 7d 22 20 7c 20 74 61 72 20 2d 78 66  {SRC}" | tar -xf
0430: 20 2d 0a 09 65 6c 73 65 20 20 20 20 0a 09 09 63   -..else    ...c
0440: 70 20 2d 72 70 20 2e 2e 2f 62 75 69 6c 64 73 72  p -rp ../buildsr
0450: 63 2f 2a 20 27 2e 2f 27 0a 09 66 69 0a 0a 09 63  c/* './'..fi...c
0460: 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d 22 20  d "${BUILDDIR}" 
0470: 7c 7c 20 65 78 69 74 20 31 0a 09 23 20 5a 4c 49  || exit 1..# ZLI
0480: 42 20 45 78 70 65 63 74 73 20 41 52 20 74 6f 20  B Expects AR to 
0490: 63 6f 6e 74 61 69 6e 20 6f 70 74 69 6f 6e 73 0a  contain options.
04a0: 09 41 52 3d 22 24 7b 41 52 3a 2d 61 72 7d 20 72  .AR="${AR:-ar} r
04b0: 63 75 22 0a 09 65 78 70 6f 72 74 20 41 52 0a 0a  cu"..export AR..
04c0: 09 23 20 49 66 20 77 65 20 61 72 65 20 62 75 69  .# If we are bui
04d0: 6c 64 69 6e 67 20 66 6f 72 20 4b 69 74 44 4c 4c  lding for KitDLL
04e0: 2c 20 63 6f 6d 70 69 6c 65 20 77 69 74 68 20 27  , compile with '
04f0: 2d 66 50 49 43 27 0a 09 69 66 20 5b 20 22 24 7b  -fPIC'..if [ "${
0500: 4b 49 54 54 41 52 47 45 54 7d 22 20 3d 20 22 6b  KITTARGET}" = "k
0510: 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65 6e 0a 09  itdll" ]; then..
0520: 09 43 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47  .CFLAGS="${CFLAG
0530: 53 7d 20 2d 66 50 49 43 22 0a 09 09 65 78 70 6f  S} -fPIC"...expo
0540: 72 74 20 43 46 4c 41 47 53 0a 09 66 69 0a 0a 09  rt CFLAGS..fi...
0550: 23 20 57 65 20 64 6f 6e 27 74 20 70 61 73 73 20  # We don't pass 
0560: 43 4f 4e 46 49 47 55 52 45 45 58 54 52 41 20 68  CONFIGUREEXTRA h
0570: 65 72 65 2c 20 73 69 6e 63 65 20 74 68 69 73 20  ere, since this 
0580: 69 73 6e 27 74 20 61 20 47 4e 55 20 61 75 74 6f  isn't a GNU auto
0590: 63 6f 6e 66 0a 09 23 20 73 63 72 69 70 74 20 61  conf..# script a
05a0: 6e 64 20 77 69 6c 6c 20 70 75 6b 65 0a 09 65 63  nd will puke..ec
05b0: 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f 63  ho "Running: ./c
05c0: 6f 6e 66 69 67 75 72 65 20 2d 2d 70 72 65 66 69  onfigure --prefi
05d0: 78 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22  x=\"${INSTDIR}\"
05e0: 20 2d 2d 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e   --libdir=\"${IN
05f0: 53 54 44 49 52 7d 2f 6c 69 62 5c 22 22 0a 09 2e  STDIR}/lib\""...
0600: 2f 63 6f 6e 66 69 67 75 72 65 20 2d 2d 70 72 65  /configure --pre
0610: 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22  fix="${INSTDIR}"
0620: 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53   --libdir="${INS
0630: 54 44 49 52 7d 2f 6c 69 62 22 0a 0a 09 65 63 68  TDIR}/lib"...ech
0640: 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41  o "Running: ${MA
0650: 4b 45 3a 2d 6d 61 6b 65 7d 20 41 52 3d 5c 22 24  KE:-make} AR=\"$
0660: 7b 41 52 7d 5c 22 22 0a 09 24 7b 4d 41 4b 45 3a  {AR}\""..${MAKE:
0670: 2d 6d 61 6b 65 7d 20 41 52 3d 22 24 7b 41 52 7d  -make} AR="${AR}
0680: 22 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 65 63  " || exit 1...ec
0690: 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d  ho "Running: ${M
06a0: 41 4b 45 3a 2d 6d 61 6b 65 7d 20 69 6e 73 74 61  AKE:-make} insta
06b0: 6c 6c 20 41 52 3d 5c 22 24 7b 41 52 7d 5c 22 22  ll AR=\"${AR}\""
06c0: 0a 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20  ..${MAKE:-make} 
06d0: 69 6e 73 74 61 6c 6c 20 41 52 3d 22 24 7b 41 52  install AR="${AR
06e0: 7d 22 0a 0a 09 23 20 57 65 20 64 6f 6e 27 74 20  }"...# We don't 
06f0: 72 65 61 6c 6c 79 20 63 61 72 65 20 74 6f 6f 20  really care too 
0700: 6d 75 63 68 20 61 62 6f 75 74 20 66 61 69 6c 75  much about failu
0710: 72 65 20 69 6e 20 7a 6c 69 62 0a 09 65 78 69 74  re in zlib..exit
0720: 20 30 0a 29 20 7c 7c 20 65 78 69 74 20 31 0a 0a   0.) || exit 1..
0730: 65 78 69 74 20 30 0a                             exit 0.